## spm8 8.4290~dfsg.1

=== src/Makefile ===
#!/usr/bin/env make -f
# General Makefile to compile SPM C-MEX files
#
# Copyright (C) 2008 Wellcome Trust Centre for Neuroimaging
#
# $Id: Makefile 4199 2011-02-10 20:07:17Z guillaume $
#
###############################################################################
#
# This Makefile has been tested under Linux, Windows and MacOS.
# 
# If you have to tweak this Makefile or Makefile.var to compile the SPM 
# mex-files for your platform, please send the details to <spm@fil.ion.ucl.ac.uk> 
# so they can be included here. 
#
# To compile and install SPM, type the following in a Unix console:
# >  make && make install
#
# You can specify a particular platform with the following syntax:
# >  make PLATFORM=Your_Platform
# The standard targets are 'all', 'clean', 'distclean' and 'install'.
#
# For a list of compatible compilers, see
#    http://www.mathworks.com/support/compilers/current_release/
#
###############################################################################

include Makefile.var

###############################################################################
# Objects to go in the archive and mexfiles
###############################################################################

OBS     =\
	utils_uchar.$(SUF).o utils_short.$(SUF).o utils_int.$(SUF).o \
	utils_schar.$(SUF).o utils_ushort.$(SUF).o utils_uint.$(SUF).o\
	utils_float.$(SUF).o utils_double.$(SUF).o\
	utils_short_s.$(SUF).o utils_int_s.$(SUF).o\
	utils_ushort_s.$(SUF).o utils_uint_s.$(SUF).o\
	utils_float_s.$(SUF).o utils_double_s.$(SUF).o\
	spm_make_lookup.$(SUF).o spm_getdata.$(SUF).o spm_vol_access.$(SUF).o\
	spm_mapping.$(SUF).o

SPMMEX  =\
	spm_sample_vol.$(SUF) spm_slice_vol.$(SUF) spm_brainwarp.$(SUF)\
	spm_add.$(SUF) spm_conv_vol.$(SUF) spm_render_vol.$(SUF)\
	spm_global.$(SUF) spm_resels_vol.$(SUF)\
	spm_bsplinc.$(SUF) spm_bsplins.$(SUF) spm_bias_mex.$(SUF)\
	spm_unlink.$(SUF) spm_existfile.$(SUF) spm_gamrnd.$(SUF)\
	spm_hist.$(SUF) spm_krutil.$(SUF) spm_project.$(SUF) spm_hist2.$(SUF)\
	spm_dilate_erode.$(SUF) spm_bwlabel.$(SUF) spm_get_lm.$(SUF)\
	spm_invdef.$(SUF) mat2file.$(SUF) file2mat.$(SUF) spm_voronoi.$(SUF)

SUBDIRS =\
	toolbox/DARTEL \
	toolbox/FieldMap \
	toolbox/HDW \
	@xmltree/private

###############################################################################
# The main ways to run make
###############################################################################

all: verb.$(SUF) $(SPMMEX) verb.end

clean: verb.clean
	$(DEL) $(OBS)
ifeq (mex,$(SUF))
	$(DEL) $(subst .$(SUF),.o,$(SPMMEX)) spm_matfuns.o
endif

distclean: clean verb.distclean
	$(DEL) $(SPMMEX) spm_vol_utils.$(SUF).a

archive: spm_vol_utils.$(SUF).a

install: verb.install $(SPMMEX)
	$(COPY) $(SPMMEX) ..
	$(MOVE) ../file2mat.$(SUF) ../mat2file.$(SUF) ../@file_array/private

toolbox toolbox-all toolbox-clean toolbox-distclean toolbox-install toolbox-tarball:
	@@for p in $(SUBDIRS); do \
	echo "_____________________________________________________________";\
	echo "";\
	echo "          In " ../$$p; \
	echo "_____________________________________________________________";\
	echo ""	;\
	$(MAKE) -C ../$$p --no-print-directory $(subst -,,$(subst toolbox,,$@));\
	done

external external-all external-clean external-distclean external-install external-tarball: verb.external
	@ $(MAKE) -C ../external --no-print-directory $(subst -,,$(subst external,,$@))

tarball: all toolbox-all toolbox-tarball verb.archive
	$(TAR) cf spm_mex.tar $(SPMMEX)
	@@for p in $(SUBDIRS); do \
		$(TAR) Af spm_mex.tar  ../$$p/spm_mex.tar;\
	done
	$(ZIP) spm_mex.tar

###############################################################################
# Compile spm_vol_utils.c with various flags
###############################################################################

spm_vol_utils.$(SUF).a: $(OBS)
	$(DEL) $@
ifeq (win64,$(PLATFORM))
	$(AR)$@ $(OBS)
else
	$(AR) $@ $(OBS)
endif

UTILS = spm_vol_utils.c spm_make_lookup.h spm_getdata.h

utils_uchar.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_UNSIGNED_CHAR $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_short.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_SIGNED_SHORT $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_int.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_SIGNED_INT $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_schar.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_SIGNED_CHAR $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_ushort.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_UNSIGNED_SHORT $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_uint.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_UNSIGNED_INT $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_float.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_FLOAT $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_double.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_DOUBLE $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_short_s.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_SIGNED_SHORT -DSPM_BYTESWAP $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_int_s.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_SIGNED_INT -DSPM_BYTESWAP $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_ushort_s.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_UNSIGNED_SHORT -DSPM_BYTESWAP $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_uint_s.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_UNSIGNED_INT -DSPM_BYTESWAP $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_float_s.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_FLOAT -DSPM_BYTESWAP $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

utils_double_s.$(SUF).o: $(UTILS)
	$(MEX) -c spm_vol_utils.c -DSPM_DOUBLE -DSPM_BYTESWAP $(MEXEND)
	$(MOVE) spm_vol_utils.$(MOSUF) $@

###############################################################################
# Compile a few additional C routines for linking
###############################################################################

%.$(SUF).o : %.c
	$(MEX) -c $< $(MEXEND)
	$(MOVE) %.$(MOSUF) $@

spm_getdata.$(SUF).o: spm_getdata.c spm_getdata.h
	$(MEX) -c spm_getdata.c $(MEXEND)
	$(MOVE) spm_getdata.$(MOSUF) $@
	
spm_vol_access.$(SUF).o: spm_vol_access.c spm_vol_access.h spm_datatypes.h
	$(MEX) -c spm_vol_access.c $(MEXEND)
	$(MOVE) spm_vol_access.$(MOSUF) $@

spm_make_lookup.$(SUF).o: spm_make_lookup.c spm_make_lookup.h
	$(MEX) -c spm_make_lookup.c $(MEXEND)
	$(MOVE) spm_make_lookup.$(MOSUF) $@
	
spm_mapping.$(SUF).o: spm_mapping.c spm_mapping.h spm_vol_access.h spm_datatypes.h
	$(MEX) -c spm_mapping.c $(MEXEND)
	$(MOVE) spm_mapping.$(MOSUF) $@

###############################################################################
# Compile the mex files themselves
###############################################################################

%.$(SUF) : %.c
	$(MEX) $< $(MEXEND)

spm_add.$(SUF): spm_add.c spm_vol_utils.$(SUF).a\
		spm_mapping.h spm_vol_access.h
	$(MEX) spm_add.c spm_vol_utils.$(SUF).a $(MEXEND)

spm_bias_mex.$(SUF): spm_bias_mex.c spm_vol_utils.$(SUF).a\
		spm_mapping.h spm_datatypes.h
	$(MEX) spm_bias_mex.c spm_vol_utils.$(SUF).a $(MEXEND)

spm_brainwarp.$(SUF): spm_brainwarp.c spm_matfuns.c spm_vol_utils.$(SUF).a\
		spm_mapping.h spm_vol_access.h
	$(MEX) spm_brainwarp.c spm_vol_utils.$(SUF).a spm_matfuns.c $(MEXEND)

spm_bsplinc.$(SUF): spm_bsplinc.c spm_vol_utils.$(SUF).a\
		spm_mapping.h spm_vol_access.h
	$(MEX) spm_bsplinc.c spm_vol_utils.$(SUF).a $(MEXEND)

spm_conv_vol.$(SUF): spm_conv_vol.c spm_vol_utils.$(SUF).a\
		spm_mapping.h spm_vol_access.h spm_datatypes.h
	$(MEX) spm_conv_vol.c spm_vol_utils.$(SUF).a $(MEXEND)

spm_global.$(SUF): spm_global.c spm_vol_utils.$(SUF).a\
		spm_mapping.h spm_vol_access.h
	$(MEX) spm_global.c spm_vol_utils.$(SUF).a $(MEXEND)

spm_render_vol.$(SUF): spm_render_vol.c spm_vol_utils.$(SUF).a\
		spm_mapping.h spm_vol_access.h
	$(MEX) spm_render_vol.c spm_vol_utils.$(SUF).a $(MEXEND)

spm_resels_vol.$(SUF): spm_resels_vol.c spm_vol_utils.$(SUF).a\
		spm_mapping.h spm_vol_access.h
	$(MEX) spm_resels_vol.c spm_vol_utils.$(SUF).a $(MEXEND)

spm_sample_vol.$(SUF): spm_sample_vol.c spm_vol_utils.$(SUF).a\
		spm_mapping.h spm_vol_access.h
	$(MEX) spm_sample_vol.c spm_vol_utils.$(SUF).a $(MEXEND)

spm_slice_vol.$(SUF): spm_slice_vol.c  spm_vol_utils.$(SUF).a\
		spm_mapping.h spm_vol_access.h
	$(MEX) spm_slice_vol.c  spm_vol_utils.$(SUF).a $(MEXEND)

file2mat.$(SUF): file2mat.c
	$(MEX) file2mat.c $(MEXEND)

mat2file.$(SUF): mat2file.c
	$(MEX) mat2file.c $(MEXEND)

spm_bsplins.$(SUF): spm_bsplins.c
	$(MEX) spm_bsplins.c $(MEXEND)
	
spm_bwlabel.$(SUF): spm_bwlabel.c
	$(MEX) spm_bwlabel.c $(MEXEND)

spm_dilate_erode.$(SUF): spm_dilate_erode.c
	$(MEX) spm_dilate_erode.c $(MEXEND)

spm_existfile.$(SUF): spm_existfile.c
	$(MEX) spm_existfile.c $(MEXEND)

spm_gamrnd.$(SUF): spm_gamrnd.c
	$(MEX) spm_gamrnd.c $(MEXEND)

spm_get_lm.$(SUF): spm_get_lm.c
	$(MEX) spm_get_lm.c $(MEXEND)

spm_hist.$(SUF): spm_hist.c
	$(MEX) spm_hist.c $(MEXEND)

spm_hist2.$(SUF): spm_hist2.c
	$(MEX) spm_hist2.c $(MEXEND)

spm_invdef.$(SUF): spm_invdef.c
	$(MEX) spm_invdef.c $(MEXEND)

spm_krutil.$(SUF): spm_krutil.c
	$(MEX) spm_krutil.c $(MEXEND)

spm_project.$(SUF): spm_project.c
	$(MEX) spm_project.c $(MEXEND)

spm_unlink.$(SUF): spm_unlink.c
	$(MEX) spm_unlink.c $(MEXEND)

spm_voronoi.$(SUF): spm_voronoi.c
	$(MEX) spm_voronoi.c $(MEXEND)

###############################################################################
# General messages
###############################################################################

verb.end:
	@ echo "_____________________________________________________________"
	@ echo ""
	@ echo "        FINISHED"
	@ echo "_____________________________________________________________"
	@ echo ""

verb.clean:
	@ echo "_____________________________________________________________"
	@ echo ""
	@ echo "        Deleting object (.o) files"
	@ echo "_____________________________________________________________"
	@ echo ""

verb.distclean:
	@ echo "_____________________________________________________________"
	@ echo ""
	@ echo "        Deleting mex and archive (.a) files"
	@ echo "_____________________________________________________________"
	@ echo ""

verb.install:
	@ echo "_____________________________________________________________"
	@ echo ""
	@ echo "        Installing mex files"
	@ echo "_____________________________________________________________"
	@ echo ""	

verb.archive:
	@ echo "_____________________________________________________________"
	@ echo ""
	@ echo "        Creating archive spm_mex.tar.gz"
	@ echo "_____________________________________________________________"
	@ echo ""	

###############################################################################
# Assorted architecture dependent messages
###############################################################################

verb.mexw32:
	@ echo "_____________________________________________________________"
	@ echo ""
	@ echo "         Windows compilation (32 bit)"
	@ echo "_____________________________________________________________"
	@ echo ""

verb.mexw64:
	@ echo "_____________________________________________________________"
	@ echo ""
	@ echo "        Windows compilation (64 bit)"
	@ echo "_____________________________________________________________"
	@ echo ""

verb.mexglx:
	@ echo "_____________________________________________________________"
	@ echo ""
	@ echo "        Linux compilation (x86-32)"
	@ echo "_____________________________________________________________"
	@ echo ""

verb.mexa64:
	@ echo "_____________________________________________________________"
	@ echo ""
	@ echo "        Linux compilation (x86-64)"
	@ echo "_____________________________________________________________"
	@ echo ""

verb.mexmac:
	@ echo "_____________________________________________________________"
	@ echo ""
	@ echo "        Unix compilation (MacOS X, PowerPC)"
	@ echo "_____________________________________________________________"
	@ echo ""

verb.mexmaci:

=== debian/changelog ===
spm8 (8.4290~dfsg.1-1~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 14 Apr 2011 16:48:12 -0400

spm8 (8.4290~dfsg.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <mih@debian.org>  Thu, 14 Apr 2011 14:52:21 -0400

spm8 (8.4010~dfsg.1-4) unstable; urgency=low

  * Modifications to address changes in the matlab-support package (formerly
    known as 'matlab').

 -- Michael Hanke <mih@debian.org>  Wed, 05 Jan 2011 10:26:37 -0500

spm8 (8.4010~dfsg.1-3) unstable; urgency=low

  * Build all SPM toolbox extensions (still missing external fieldtrip
    toolbox). Drop extension Makefile patch. Thanks to Guillaume Flandin for
    all the advise.
  * Improve documentation (e.g. mention missing parts in the manual).
  * Change package description of spm8-common to not promise
    Octave-compatibility where there is not much (yet). Thanks to Marco
    Tettamanti for pointing it out.
  * Build-depend on matlab-dev to get the installation locations of Matlab
    toolboxes.
  * Complete and verify current build-dependencies.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 27 Nov 2010 12:26:34 -0500

spm8 (8.4010~dfsg.1-2) unstable; urgency=low

  * Improve Debian-related documentation.
  * Add 'spm8-matlab' command to /usr/bin.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 23 Nov 2010 09:22:24 -0500

spm8 (8.4010~dfsg.1-1) UNRELEASED; urgency=low

  * Initial release (Closes: #592390).

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 03 Aug 2010 21:04:00 -0400

=== debian/control ===
Source: spm8
Section: science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), matlab-support-dev, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended
#Build-Depends: debhelper (>= 7.0.50~), octave3.2-headers | octave3.0-headers, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/spm8.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/spm8.git
XS-DM-Upload-Allowed: yes


Package: spm8-common
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Recommends: spm8-data, spm8-doc
Description: analysis of brain imaging data sequences
 Statistical Parametric Mapping (SPM) refers to the construction and assessment
 of spatially extended statistical processes used to test hypotheses about
 functional brain imaging data. These ideas have been instantiated in software
 that is called SPM. It is designed for the analysis of fMRI, PET, SPECT, EEG
 and MEG data.
 .
 This package provides the platform-independent M-files.


Package: spm8-data
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: data files for SPM8
 Statistical Parametric Mapping (SPM) refers to the construction and assessment
 of spatially extended statistical processes used to test hypotheses about
 functional brain imaging data. These ideas have been instantiated in software
 that is called SPM. It is designed for the analysis of fMRI, PET, SPECT, EEG
 and MEG data.
 .
 This package provide the data files shipped with the SPM distribution, such as
 various stereotaxic brain space templates and EEG channel setups.


Package: spm8-doc
Section: doc
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: manual for SPM8
 Statistical Parametric Mapping (SPM) refers to the construction and assessment
 of spatially extended statistical processes used to test hypotheses about
 functional brain imaging data. These ideas have been instantiated in software
 that is called SPM. It is designed for the analysis of fMRI, PET, SPECT, EEG
 and MEG data.
 .
 This package provides the SPM manual in PDF format.


#Package: octave-spm8
#Section: science
#Architecture: any
#Provides: spm8, spm
#Depends: ${octave:Depends}, spm8-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
#Description: analysis of brain imaging data sequences for Octave
# Statistical Parametric Mapping (SPM) refers to the construction and assessment
# of spatially extended statistical processes used to test hypotheses about
# functional brain imaging data. These ideas have been instantiated in software
# that is called SPM. It is designed for the analysis of fMRI, PET, SPECT, EEG
# and MEG data.
# .
# This package provides SPM to be used with Octave. Note that only a very small
# subset of SPM8 functionality works with Octave right now. This package is
# primarily provided to facilitate porting SPM to Octave.


Package: matlab-spm8
Section: contrib/science
Architecture: all
Provides: spm8, spm
Depends: neurodebian-popularity-contest, matlab-support, spm8-common (= ${source:Version}), ${misc:Depends}, make
Description: analysis of brain imaging data sequences for Matlab
 Statistical Parametric Mapping (SPM) refers to the construction and assessment
 of spatially extended statistical processes used to test hypotheses about
 functional brain imaging data. These ideas have been instantiated in software
 that is called SPM. It is designed for the analysis of fMRI, PET, SPECT, EEG
 and MEG data.
 .
 This package provides SPM to be used with Matlab. Note that this package
 depends on Matlab -- a commercial software that needs to be obtain and
 installed separately.

=== debian/rules ===
#!/usr/bin/make -f

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (upstream/...)
# If this should make any sense the local master branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'upstream/*' $$(git merge-base -a HEAD master) | sed -e 's,^upstream/,,' -e 's/_/~/g' -e 's/-/+git/')


# get octave paths (have to build-depend on octave-headers)
#include /usr/share/octave/debian/defs.make
# same for Matlab
include /usr/share/matlab/debian/defs.make

# one ring to rule them all ...
%:
	dh $@

override_dh_auto_configure:
override_dh_auto_build:
	# build manual
	$(MAKE) -C man
	# build octave extensions -- set proper extension to prevent rebuilding
	#$(MAKE) -C src SUF=mex MEXBIN="mkoctfile --mex" MEXOPTS=""

override_dh_auto_install:
	# create a link in octaves PATH to SPM
	#-mkdir -p debian/spm8-common/$(MATLAB_MDIR)
	#ln -sf /usr/share/spm8 debian/spm8-common/$(MATLAB_MDIR)/spm8
	# all files in root
	find . -maxdepth 1 -type f \
		-exec install -m 644 -t debian/spm8-common/usr/share/spm8 \{\} \;
	# and all directories, but a few that are shipped in other packages
	find . -maxdepth 1 -mindepth 1 -type d -regextype posix-egrep ! -regex \
		'\./(\.pc|\.git|debian|templates|tpm|rend|man|apriori|src|EEGtemplates|cannonical)' \
		-exec cp -r -t debian/spm8-common/usr/share/spm8 \{\} \;
	# cleanup overshoot
	find debian/spm8-common/usr/share/spm8 -regextype posix-egrep -type f \
		-regex '.*(\.([ch]|gii|nii)|Makefile|spm_LICENCE.man|\.gitignore)' \
		-delete
	# generate file links setup
	cp debian/spm8-data.links.in debian/spm8-data.links
	cp debian/matlab-spm8.links.in debian/matlab-spm8.links
	# put spm8 in Matlab's M-path
	echo "/usr/share/spm8 $(MATLAB_MDIR)/spm8" >> debian/matlab-spm8.links
	# mex files from /usr/lib/spm8 -> /usr/share/spm8
	#-rm -f debian/octave-spm8.links
	#for f in $$(find . -type f -name '*.mex'); do \
	#	echo /usr/lib/spm8/$$(basename $$f) /usr/share/spm8/$$(basename $$f) >> debian/octave-spm8.links ; \
	#done
	# put convenience commands
	printf "#! /bin/sh\n\nmatlab -r \"addpath('/usr/share/matlab/site/m/spm8'); spm\"\n" \
		> debian/matlab-spm8/usr/bin/spm8-matlab
	chmod +x debian/matlab-spm8/usr/bin/spm8-matlab
	# install the extension sources
	find . -type f -regextype posix-egrep \
		! -regex '^\./(\.pc|\.git|debian|man)/.*' \
		-regex '.*(Makefile|Makefile.var|\.c|\.h)$$' -print0 \
		| xargs -0 -I {} \
		cp --parent {} debian/matlab-spm8/$(MATLAB_MEX_SRCDIR)/spm8

override_dh_auto_test:

override_dh_install:
	dh_install
	# fixing bits
	# non-executable scripts
	find debian/matlab-spm8/$(MATLAB_MEX_SRCDIR)/spm8 -name Makefile \
		-exec chmod +x {} \;

override_dh_clean:
	# clean after latex
	find man -name '*.aux' -delete
	find man -name 'manual.*' ! -name manual.tex -delete
	# octave stuff
	find src -name '*.a' -delete
	find src -name '*.o' -delete
	find src -name '*.mex' -delete
	rm -f debian/spm8-common.links
	rm -f debian/octave-spm8.links
	rm -f debian/matlab-spm8.links
	dh_clean

override_dh_compress:
	# manual comes in a separate doc package -- no need to keep compressed
	dh_compress -X.pdf

# just to run octave-depends
override_dh_fixperms:
	dh_fixperms
	#octave-depends

override_dh_shlibdeps:
	# octave will take care of proper deps for extensions -- no need to scan
	# them and warn all the time
	#dh_shlibdeps -l$(shell octave-config --print OCTLIBDIR)
	dh_shlibdeps

# run this to remove undesired pieces after extracting an upstream update
# zip file on top of the sources
dfsg-source-tree:
	-quilt pop -a
	@echo "Testing for uncommited changes"
	@git diff --quiet HEAD
	# leftovers from previous compile runs
	find . -name '*.mex*' -delete
	# strip compiled manuals, but keep individual figures in PDF format
	rm -f man/manual.pdf
	rm -f external/ctf/CTF_MATLAB_v13.pdf
	# remove binary only pieces
	rm -rf external/yokogawa
	# actually remove all third party software
	rm -rf external

get-orig-source: dfsg-source-tree
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

## spm8 8.4667~dfsg.1

=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # Copyright (C) 2008 Wellcome Trust Centre for Neuroimaging
 #
-# $Id: Makefile 4199 2011-02-10 20:07:17Z guillaume $
+# $Id: Makefile 4357 2011-06-14 13:13:49Z guillaume $
 #
 ###############################################################################
 #
@@ -55,6 +55,7 @@
 	toolbox/DARTEL \
 	toolbox/FieldMap \
 	toolbox/HDW \
+	toolbox/Seg \
 	@xmltree/private
 
 ###############################################################################

=== debian/changelog ===
spm8 (8.4667~dfsg.1-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 01 Mar 2012 14:39:35 -0500

spm8 (8.4667~dfsg.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <mih@debian.org>  Wed, 29 Feb 2012 18:12:36 +0100

=== debian/control ===
--- 
+++ 
@@ -84,5 +84,5 @@
  and MEG data.
  .
  This package provides SPM to be used with Matlab. Note that this package
- depends on Matlab -- a commercial software that needs to be obtain and
+ depends on Matlab -- a commercial software that needs to be obtained and
  installed separately.

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 		-exec cp -r -t debian/spm8-common/usr/share/spm8 \{\} \;
 	# cleanup overshoot
 	find debian/spm8-common/usr/share/spm8 -regextype posix-egrep -type f \
-		-regex '.*(\.([ch]|gii|nii)|Makefile|spm_LICENCE.man|\.gitignore)' \
+		-regex '.*(\.([ch]|gii|nii)|Makefile|spm_LICENCE.man|\.gitignore|.gitattributes)' \
 		-delete
 	# generate file links setup
 	cp debian/spm8-data.links.in debian/spm8-data.links

## spm8 8.5236~dfsg.1

=== src/Makefile ===
--- 
+++ 
@@ -1,16 +1,16 @@
 #!/usr/bin/env make -f
 # General Makefile to compile SPM C-MEX files
 #
-# Copyright (C) 2008 Wellcome Trust Centre for Neuroimaging
-#
-# $Id: Makefile 4357 2011-06-14 13:13:49Z guillaume $
+# Copyright (C) 1991-2012 Wellcome Trust Centre for Neuroimaging
+#
+# $Id: Makefile 4919 2012-09-12 19:04:29Z guillaume $
 #
 ###############################################################################
 #
 # This Makefile has been tested under Linux, Windows and MacOS.
 # 
 # If you have to tweak this Makefile or Makefile.var to compile the SPM 
-# mex-files for your platform, please send the details to <spm@fil.ion.ucl.ac.uk> 
+# mex-files for your platform, please send the details to <fil.spm@ucl.ac.uk> 
 # so they can be included here. 
 #
 # To compile and install SPM, type the following in a Unix console:
@@ -105,7 +105,7 @@
 
 spm_vol_utils.$(SUF).a: $(OBS)
 	$(DEL) $@
-ifeq (win64,$(PLATFORM))
+ifeq (windows,$(PLATFORM))
 	$(AR)$@ $(OBS)
 else
 	$(AR) $@ $(OBS)
@@ -363,4 +363,3 @@
 	@ echo "_____________________________________________________________"
 	@ echo ""
 
-verb.mexmaci:

=== toolbox/DARTEL/Makefile ===
#!/usr/bin/env make -f
# DARTEL Makefile called by {SPM}/src/Makefile
#
# Copyright (C) 2008 Wellcome Trust Centre for Neuroimaging
#
# $Id: Makefile 4136 2010-12-09 22:22:28Z guillaume $

include ../../src/Makefile.var

SPMMEX =\
	dartel2.$(SUF) dartel3.$(SUF) \
	optim1.$(SUF) optimN.$(SUF) optimNn.$(SUF)

all: $(SPMMEX)

clean:

distclean: clean
	$(DEL) $(SPMMEX)

install:

tarball: all
	$(TAR) cf spm_mex.tar $(SPMMEX)

dartel2.$(SUF): dartel2.c optimizer2d.c diffeo2d.c
	$(MEX) dartel2.c optimizer2d.c diffeo2d.c $(MEXEND)

dartel3.$(SUF): dartel3.c optimizer3d.c diffeo3d.c
	$(MEX) dartel3.c optimizer3d.c diffeo3d.c $(MEXEND)

optim1.$(SUF): optim1.c optim1_mex.c 
	$(MEX) optim1.c optim1_mex.c $(MEXEND)

optimN.$(SUF): optimN.c optimN_mex.c 
	$(MEX) optimN.c optimN_mex.c $(MEXEND)

optimNn.$(SUF): optimN.c optimN_mex.c
ifneq (mex,$(SUF))
	$(MEX) optimN.c optimN_mex.c -DNEUMANN -output optimNn $(MEXEND)
else
	$(MEX) optimN.c optimN_mex.c -DNEUMANN --output optimNn.$(SUF) $(MEXEND)
endif

=== toolbox/FieldMap/Makefile ===
#!/usr/bin/env make -f
# FieldMap Makefile called by {SPM}/src/Makefile
#
# Copyright (C) 2008 Wellcome Trust Centre for Neuroimaging
#
# $Id: Makefile 2457 2008-11-12 09:24:30Z guillaume $

include ../../src/Makefile.var

SPMMEX =\
	pm_invert_phasemap_dtj.$(SUF) pm_merge_regions.$(SUF) \
	pm_create_connectogram_dtj.$(SUF) pm_pad.$(SUF) \
	pm_estimate_ramp.$(SUF) pm_restore_ramp.$(SUF) \
	pm_ff_unwrap.$(SUF) pm_smooth_phasemap_dtj.$(SUF)

all: $(SPMMEX)

clean:

distclean: clean
	$(DEL) $(SPMMEX)

install:

tarball: all
	$(TAR) cf spm_mex.tar $(SPMMEX)

%.$(SUF) : %.c
	$(MEX) $< $(MEXEND)

=== toolbox/HDW/Makefile ===
#!/usr/bin/env make -f
# HDW Makefile called by {SPM}/src/Makefile
#
# Copyright (C) 2008 Wellcome Trust Centre for Neuroimaging
#
# $Id: Makefile 2457 2008-11-12 09:24:30Z guillaume $

include ../../src/Makefile.var

SPMMEX = spm_affdef.$(SUF) spm_def2det.$(SUF) spm_warp.$(SUF)

all: $(SPMMEX)

clean:

distclean: clean
	$(DEL) $(SPMMEX)

install:

tarball: all
	$(TAR) cf spm_mex.tar $(SPMMEX)

%.$(SUF) : %.c
	$(MEX) $< $(MEXEND)

=== toolbox/Seg/Makefile ===
#!/usr/bin/env make -f
# Seg Makefile called by {SPM}/src/Makefile
#
# Copyright (C) 2010 Wellcome Trust Centre for Neuroimaging
#
# $Id: Makefile 4037 2010-08-06 14:52:27Z guillaume $

include ../../src/Makefile.var

SPMMEX = spm_mrf.$(SUF)

all: $(SPMMEX)

clean:

distclean: clean
	$(DEL) $(SPMMEX)

install:

tarball: all
	$(TAR) cf spm_mex.tar $(SPMMEX)

%.$(SUF) : %.c
	$(MEX) $< $(MEXEND)

=== debian/changelog ===
spm8 (8.5236~dfsg.1-1~nd70+1+nd90+1+nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.

 -- unamed <unknown>  Wed, 02 Nov 2016 07:08:56 -0400

spm8 (8.5236~dfsg.1-1~nd70+1+nd90+1) stretch; urgency=low

  * Backported for stretch.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 29 Jun 2015 11:52:22 -0400

spm8 (8.5236~dfsg.1-1~nd70+1) wheezy; urgency=low

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Fri, 01 Mar 2013 14:17:20 +0100

spm8 (8.5236~dfsg.1-1) unreleased; urgency=low

  * New upstream release.

 -- Michael Hanke <mih@debian.org>  Tue, 26 Feb 2013 12:05:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: spm8
 Section: science
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), matlab-support-dev, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended

=== debian/watch ===
version=3
# this file doesn't have the full sources, only updates since the last major
# release. It is only used to check for new versions. The full sources have to
# be obtained through a web interface at
# http://www.fil.ion.ucl.ac.uk/spm/software/download.html
opts="uversionmangle=s/^/8./,dversionmangle=s/~dfsg\.\d//" \
 ftp://ftp.fil.ion.ucl.ac.uk/spm/spm8_updates/spm8_updates_r(\d+)\.zip
